RDKit::FMCS::ExecStatistics Struct Reference

`#include <DebugTrace.h>`

## Public Member Functions

| ExecStatistics ()

## Public Attributes

unsigned | TotalSteps
unsigned | MCSFoundStep
unsigned long long | MCSFoundTime
unsigned | InitialSeed
unsigned | MismatchedInitialSeed
unsigned | Seed
unsigned | RemainingSizeRejected
unsigned | SeedCheck
unsigned | SingleBondExcluded
unsigned | MatchCall
unsigned | MatchCallTrue
unsigned | FastMatchCall
unsigned | FastMatchCallTrue
unsigned | SlowMatchCallTrue
unsigned | ExactMatchCall
unsigned | ExactMatchCallTrue
unsigned | FindHashInCache
unsigned | HashKeyFoundInCache
unsigned | AtomCompareCalls
unsigned | BondCompareCalls
unsigned | AtomFunctorCalls
unsigned | BondFunctorCalls
unsigned | WrongCompositionRejected
unsigned | WrongCompositionDetected
unsigned | DupCacheFound
unsigned | DupCacheFoundMatch

## Detailed Description

Definition at line 113 of file DebugTrace.h.

## Constructor & Destructor Documentation

## ExecStatistics()

RDKit::FMCS::ExecStatistics::ExecStatistics | ( |  | ) |

inline

Definition at line 128 of file DebugTrace.h.

## Member Data Documentation

## AtomCompareCalls

unsigned RDKit::FMCS::ExecStatistics::AtomCompareCalls

Definition at line 123 of file DebugTrace.h.

## AtomFunctorCalls

unsigned RDKit::FMCS::ExecStatistics::AtomFunctorCalls

Definition at line 124 of file DebugTrace.h.

## BondCompareCalls

unsigned RDKit::FMCS::ExecStatistics::BondCompareCalls

Definition at line 123 of file DebugTrace.h.

## BondFunctorCalls

unsigned RDKit::FMCS::ExecStatistics::BondFunctorCalls

Definition at line 124 of file DebugTrace.h.

## DupCacheFound

unsigned RDKit::FMCS::ExecStatistics::DupCacheFound

Definition at line 126 of file DebugTrace.h.

## DupCacheFoundMatch

unsigned RDKit::FMCS::ExecStatistics::DupCacheFoundMatch

Definition at line 126 of file DebugTrace.h.

## ExactMatchCall

unsigned RDKit::FMCS::ExecStatistics::ExactMatchCall

Definition at line 121 of file DebugTrace.h.

## ExactMatchCallTrue

unsigned RDKit::FMCS::ExecStatistics::ExactMatchCallTrue

Definition at line 121 of file DebugTrace.h.

## FastMatchCall

unsigned RDKit::FMCS::ExecStatistics::FastMatchCall

Definition at line 120 of file DebugTrace.h.

## FastMatchCallTrue

unsigned RDKit::FMCS::ExecStatistics::FastMatchCallTrue

Definition at line 120 of file DebugTrace.h.

## FindHashInCache

unsigned RDKit::FMCS::ExecStatistics::FindHashInCache

Definition at line 122 of file DebugTrace.h.

## HashKeyFoundInCache

unsigned RDKit::FMCS::ExecStatistics::HashKeyFoundInCache

Definition at line 122 of file DebugTrace.h.

## InitialSeed

unsigned RDKit::FMCS::ExecStatistics::InitialSeed

Definition at line 116 of file DebugTrace.h.

## MatchCall

unsigned RDKit::FMCS::ExecStatistics::MatchCall

Definition at line 119 of file DebugTrace.h.

## MatchCallTrue

unsigned RDKit::FMCS::ExecStatistics::MatchCallTrue

Definition at line 119 of file DebugTrace.h.

## MCSFoundStep

unsigned RDKit::FMCS::ExecStatistics::MCSFoundStep

Definition at line 114 of file DebugTrace.h.

## MCSFoundTime

unsigned long long RDKit::FMCS::ExecStatistics::MCSFoundTime

Definition at line 115 of file DebugTrace.h.

## MismatchedInitialSeed

unsigned RDKit::FMCS::ExecStatistics::MismatchedInitialSeed

Definition at line 116 of file DebugTrace.h.

## RemainingSizeRejected

unsigned RDKit::FMCS::ExecStatistics::RemainingSizeRejected

Definition at line 117 of file DebugTrace.h.

## Seed

unsigned RDKit::FMCS::ExecStatistics::Seed

Definition at line 117 of file DebugTrace.h.

## SeedCheck

unsigned RDKit::FMCS::ExecStatistics::SeedCheck

Definition at line 118 of file DebugTrace.h.

## SingleBondExcluded

unsigned RDKit::FMCS::ExecStatistics::SingleBondExcluded

Definition at line 118 of file DebugTrace.h.

## SlowMatchCallTrue

unsigned RDKit::FMCS::ExecStatistics::SlowMatchCallTrue

Definition at line 120 of file DebugTrace.h.

## TotalSteps

unsigned RDKit::FMCS::ExecStatistics::TotalSteps

Definition at line 114 of file DebugTrace.h.

## WrongCompositionDetected

unsigned RDKit::FMCS::ExecStatistics::WrongCompositionDetected

Definition at line 125 of file DebugTrace.h.

## WrongCompositionRejected

unsigned RDKit::FMCS::ExecStatistics::WrongCompositionRejected

Definition at line 125 of file DebugTrace.h.

The documentation for this struct was generated from the following file:

- DebugTrace.h